package com.reptileclient.jlifeapp.dao.hm;

import cn.hutool.core.date.DateTime;
import com.reptileclient.jlifeapp.entity.hm.HmBookTradeOrder;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface HmBookTradeOrderMapper {
    int deleteByPrimaryKey(Long id);

    int insert(HmBookTradeOrder record);

    int insertSelective(HmBookTradeOrder record);

    HmBookTradeOrder selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(HmBookTradeOrder record);

    int updateByPrimaryKey(HmBookTradeOrder record);

    HmBookTradeOrder selectNewOne(@Param("stationCode") String stationCode);

    int insertByBatch(List<HmBookTradeOrder> hmBookTradeOrders);

    int deleteByStartTime(String date);

    int deleteByUserPhone(String userPhone);

    int deleteDistinctData(@Param("dateTime") DateTime dateTime);

    int deleteByBetWeenTime(@Param("startTime") DateTime startTime, @Param("endTime") DateTime endTime);
}